package io.rong.messages;

import io.rong.util.GsonUtil;

/**
 *
 * 自定义消息
 *
 */
public class RedPacketMessage extends BaseMessage {
	private String content = "";
	private transient static final String TYPE = "app:red_packet";

	public RedPacketMessage(String content) {
		this.content = content;
	}
	@Override
	public String getType() {
		return TYPE;
	}

	/**
	 * Retrieves the content of the custom message.
	 *
	 * @return String
	 */
	public String getContent() {
		return content;
	}

	/**
	 * @param content Sets the content of the custom message.
	 *
	 *
	 */
	public void setContent(String content) {
		this.content = content;
	}

	@Override
	public String toString() {
		return GsonUtil.toJson(this, RedPacketMessage.class);
	}
}